GuideLab API

List Overpayments

Retrieve a paginated list of payments with overpayment amounts for the authenticated lab. Includes refund totals and remaining overpayment balances.

GET
/overpayments

Retrieve a paginated list of payments with overpayment amounts for the authenticated lab. Includes refund totals and remaining overpayment balances.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Query Parameters

page?integer
Range0 < value <= 10000
Default1
limit?integer
Range0 < value <= 100
Default20

Response Body

application/json

curl -X GET "https://example.com/overpayments"
{  "data": [    {      "id": "string",      "invoiceId": "string",      "labId": "string",      "clinicId": "string",      "amount": "string",      "overpaymentAmount": "string",      "currency": "string",      "method": "string",      "status": "string",      "reference": "string",      "paidAt": "string",      "createdAt": "string",      "clinicName": "string",      "invoiceNumber": "string",      "refundedAmount": "string",      "remainingOverpayment": "string"    }  ],  "pagination": {    "page": 0,    "limit": 0,    "total": 0,    "totalPages": 0  }}